SMTP_auth(3pm)

NAME
Net::SMTP_auth - Simple Mail Transfer Protocol Client with AUTHentication

SYNOPSIS
    use Net::SMTP_auth;

    # Constructors
    $smtp = Net::SMTP_auth->new('mailhost');
    $smtp = Net::SMTP_auth->new('mailhost', Timeout => 60);

DESCRIPTION
This module implements a client interface to the SMTP and ESMTP protocol AUTH service extension, enabling a perl5 application to talk to and authenticate against SMTP servers. This documentation assumes that you are familiar with the concepts of the SMTP protocol described in RFC821 and with the AUTH service extension described in RFC2554.

A new Net::SMTP_auth object must be created with the new method. Once this has been done, all SMTP commands are accessed through this object.

The Net::SMTP_auth class is a subclass of Net::SMTP, which itself is a subclass of Net::Cmd and IO::Socket::INET.

EXAMPLES
This example authenticates via CRAM-MD5 and sends a small message to the postmaster at the SMTP server known as mailhost:

    #!/usr/bin/perl -w

    use Net::SMTP_auth;

    $smtp = Net::SMTP_auth->new('mailhost');
    $smtp->auth('CRAM-MD5', 'user', 'password');

    $smtp->mail($ENV{USER});
    $smtp->to('postmaster');

    $smtp->data();
    $smtp->datasend("To: postmaster\n");
    $smtp->datasend("\n");
    $smtp->datasend("A simple test message\n");
    $smtp->dataend();

    $smtp->quit;

CONSTRUCTOR

new Net::SMTP_auth [ HOST, ] [ OPTIONS ]
    This is the constructor for a new Net::SMTP_auth object. It is taken from Net::SMTP as all other methods (except auth and auth_types) are, too.

METHODS
Unless otherwise stated all methods return either a true or false value, with true meaning that the operation was a success. When a method states that it returns a value, failure will be returned as undef or an empty list.

auth_types ()
    Returns the AUTH methods supported by the server as an array or in a space separated string. This string is exacly the line given by the SMTP server after the "EHLO" command containing the keyword "AUTH".

auth ( AUTH, USER, PASSWORD )
    Authenticates the user "USER" via the authentication method "AUTH" and the password "PASSWORD". Returns true if successful and false if the authentication failed. Remember that the connection is not closed if the authentication fails. You may issue a different authentication attempt. If you once are successfully authenticated, you cannot send the "AUTH" command again.

    The "AUTH" method "NTLM" is supported via Authen::NTLM (thanks to James Fryman).

SEE ALSO
Net::SMTP and Net::Cmd

AUTHOR
Alex Pleiner <alex@zeitform.de>, zeitform Internet Dienste. Thanks to Graham Barr <gbarr@pobox.com> for Net::SMTP. NTLM authentication code provided by James Fryman <jfryman@gmail.com>

COPYRIGHT
Copyright (c) 2001, 2003, 2006 zeitform Internet Dienste. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.